<div class="row">
    <div class="col-xs-12 col-md-6 col-lg-6 col-xl-3">
        <div class="card-box noradius noborder bg-info">
            <i class="fa-solid fa-server float-right text-white"></i>
            <h4 class="text-white text-uppercase m-b-20">Server Actions</h4>
            <a role="button" class="btn btn-dark" href="#">Restart</a>
            <a role="button" class="btn btn-dark" href="#">Stop</a>
            <a role="button" class="btn btn-dark" href="steam://connect/<?php echo $server->getAddress(); ?>">Join</a>
            <div class="clearfix"></div>
        </div>
    </div>

    <div class="col-xs-12 col-md-6 col-lg-6 col-xl-3">
        <div class="card-box noradius noborder bg-warning">
            <i class="fa-solid fa-chart-bar float-right text-white"></i>
            <h6 class="text-white text-uppercase m-b-20">Current Sessions</h6>
            <h1 class="m-b-20 text-white counter">{player_count}</h1>
            <span class="text-white">{session_count} Total Sessions</span>
        </div>
    </div>
</div>
<!-- end row -->

<div class="row" style="padding-bottom:50px;">
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <table id="console-table" class="table table-bordered table-responsive-xl display mb-0 w-100">
            <tr class="bg-dark text-white">
                <th><span data-toggle="tooltip" data-placement="right" title="This is not the real console, but rather logs with the ability to run commands in console"><i class="fa-solid fa-terminal"></i> Console</span></th>
            </tr>
            <tr class="bg-white">
                <td style="padding:0px;">
                    <div id="console" style="overflow-y:auto; overflow-x: hidden; height: 250px;">
                        <!-- Data will be filled via SSE messages -->
                    </div>
                </td>
            </tr>
            <tr>
                <td class="input-group" style="padding:0px; position:relative;">
                    <input type="text" id="console_command" class="form-control" style="margin:0px;" placeholder="Console command">
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary" id="console_command_send" type="submit" onclick="concommand()">Send</button>
                    </div>
                </td>
            </tr>
        </table>
    </div>
</div>
<!-- end row -->

<div class="clearfix"></div>

<div class="row">
    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-6">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Current Players</h3>
                List of the current players on the servers
            </div>

            <div class="card-body p-0">

                <table id="players" class="table table-striped table-bordered table-responsive-xl table-hover display mb-0 w-100">
                    <thead>
                        <tr>
                            <th>Player</th>
                            <th>Rank</th>
                            <th>Session Id</th>
                            <th>Current Session Length</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ply in players %}
                        <tr>
                            <td><a href="{NM_URL}player.php?id={ply[nmid]}">{ply[displayName]}</a></td>
                            <td>{ply[rank]}</td>
                            <td><a href="{NM_URL}logs.php?usid={ply[usid]}">{ply[usid]}</a></td>
                            <td>{ply[length]}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>

            </div>
        </div><!-- end card-->
    </div>

    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-6">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Recent Players</h3>
                Past 10 most recently disconnected players
            </div>

            <div class="card-body p-0">

                <table id="players" class="table table-striped table-bordered table-responsive-xl table-hover display mb-0 w-100">
                    <thead>
                        <tr>
                            <th>Player</th>
                            <th>Rank</th>
                            <th>Session Id</th>
                            <th>Session Length</th>
                            <th>Disconnected</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for ply in disconnects %}
                        <tr>
                            <td><a href="{NM_URL}player.php?id={ply[nmid]}">{ply[displayName]}</a></td>
                            <td>{ply[rank]}</td>
                            <td><a href="{NM_URL}logs.php?usid={ply[usid]}">{ply[usid]}</a></td>
                            <td>{ply[length]}</td>
                            <td>{ply[time]}</td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>

            </div>
        </div><!-- end card-->
    </div>
</div>
<!-- end row -->